<?php
/**
 * Theme functions and definitions
 *
 * @package HelloElementorChild
 */

function mdp_enqueue_scripts() {
	wp_enqueue_style( 'mdp-style', get_stylesheet_directory_uri() . '/style.css', [], '1.3' );
	wp_enqueue_script( 'mdp-script', get_stylesheet_directory_uri() . '/assets/app.js', ['jquery'], '1.1' );

}
add_action( 'wp_enqueue_scripts', 'mdp_enqueue_scripts', 20 );

function mdp_load_script() {
	?>
	<script>RWApp.init();</script>
	<?php
}

add_action( 'wp_footer', 'mdp_load_script' );

function mdp_modify_status_raw( $status, $post_id ) {
	if( $status == 'BESCHIKBAAR' ) {
		$date = date_create( get_the_date( 'c', $post_id ) );
		$date_ago = date_create( '14 days ago' );

		if( $date > $date_ago ) {
			$status = 'NIEUW';
		}
	}

	return $status;
}
add_filter( 'rw_makelaar_status_raw', 'mdp_modify_status_raw', 10, 2 );

function mdp_modify_status( $status, $status_raw, $post_id ) {
	if( $status_raw == 'BESCHIKBAAR' ) {
		$date = date_create( get_the_date( 'c', $post_id ) );
		$date_ago = date_create( '14 days ago' );

		if( $date > $date_ago ) {
			$status = 'Nieuw';
		}
	}

	return $status;
}
add_filter( 'rw_makelaar_status', 'mdp_modify_status', 10, 3 );

function rw_plugin_open_huis_status_raw( $status, $post_id ) {

    if ( ( $status == 'BESCHIKBAAR' ) || ( $status == 'NIEUW' ) ) {
        if ( is_archive() ) {
            $openhuis = rw_get_meta( 'openhuis', $post_id );

            if ( ! empty( $openhuis ) ) {
	            $status = 'OPEN_HUIS';
            }
        }
    }

	return $status;
}
add_filter( 'rw_makelaar_status_raw', 'rw_plugin_open_huis_status_raw', 12, 2 );

function rw_plugin_open_huis_status( $status, $status_raw, $post_id ) {
    if ( $status_raw == 'BESCHIKBAAR' ) {

        if ( is_archive() ) {
            $openhuis = rw_get_meta( 'openhuis', $post_id );

            if ( ! empty( $openhuis ) ) {
                $status = 'Open huis';

                $openhuis_start = rw_get_meta( 'openhuis_start', $post_id );
                if ( ! empty( $openhuis_start ) ) {
                    $status .= ' ' . wp_date( 'j F', date_create( $openhuis_start )->format( 'U' ) );
                }
            }

        }
    }

	return $status;
}
add_filter( 'rw_makelaar_status', 'rw_plugin_open_huis_status', 11, 3 );